
//*******************************************************************************//
// Association des entrées du L298N, aux sorties utilisées sur notre Arduino Uno //
//*******************************************************************************//
//*******************************************************************************//
// Attention ne correspond pas aux entrées !!!
//*******************************************************************************//

#define borneENA        5     // On associe la borne "ENA" du L298N à la pin D10 de l'Arduino (PWM possible sur cette broche)
#define borneIN1        3       // On associe la borne "IN1" du L298N à la pin D9 de l'Arduino
#define borneIN2        9       // On associe la borne "IN2" du L298N à la pin D8 de l'Arduino
#define borneIN3        8       // On associe la borne "IN3" du L298N à la pin D7 de l'Arduino
#define borneIN4        7      // On associe la borne "IN4" du L298N à la pin D6 de l'Arduino
#define borneENB        6       // On associe la borne "ENB" du L298N à la pin D5 de l'Arduino (PWM possible sur cette broche)


//*******//
void setup() {
  
  // Configuration de toutes les pins de l'Arduino en "sortie" (car elles attaquent les entrées du module L298N)
  pinMode(borneENA, OUTPUT);
  pinMode(borneIN1, OUTPUT);
  pinMode(borneIN2, OUTPUT);
  pinMode(borneIN3, OUTPUT);
  pinMode(borneIN4, OUTPUT);
  pinMode(borneENB, OUTPUT);
}

//**************************//
// Boucle principale : LOOP //
//**************************//
void loop() {

    digitalWrite(borneIN1, HIGH);                 // L'entrée IN1 doit être au niveau haut
    digitalWrite(borneIN2, LOW);   
    digitalWrite(borneIN3, HIGH);                 // L'entrée IN1 doit être au niveau haut
    digitalWrite(borneIN4, LOW);    
    analogWrite(borneENA, 40);
    analogWrite(borneENB, 40);
    delay(5000);
    analogWrite(borneENA, 60);
    analogWrite(borneENB, 60);
    delay(5000);
    analogWrite(borneENA, 100);
    analogWrite(borneENB, 100);
    delay(5000);
     analogWrite(borneENA, 200);
    analogWrite(borneENB, 200);
    delay(5000);
}
